[arch-commits] Commit in linux-api-headers/repos (4 files)

Allan McRae allan at archlinux.org
Tue Mar 7 02:30:34 UTC 2017


    Date: Tuesday, March 7, 2017 @ 02:30:33
  Author: allan
Revision: 290075

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  linux-api-headers/repos/staging-i686/PKGBUILD
    (from rev 290074, linux-api-headers/trunk/PKGBUILD)
  linux-api-headers/repos/staging-x86_64/PKGBUILD
    (from rev 290074, linux-api-headers/trunk/PKGBUILD)
Deleted:
  linux-api-headers/repos/staging-i686/PKGBUILD
  linux-api-headers/repos/staging-x86_64/PKGBUILD

-------------------------+
 /PKGBUILD               |   92 ++++++++++++++++++++++++++++++++++++++++++++++
 staging-i686/PKGBUILD   |   46 -----------------------
 staging-x86_64/PKGBUILD |   46 -----------------------
 3 files changed, 92 insertions(+), 92 deletions(-)

Deleted: staging-i686/PKGBUILD
===================================================================
--- staging-i686/PKGBUILD	2017-03-07 02:29:24 UTC (rev 290074)
+++ staging-i686/PKGBUILD	2017-03-07 02:30:33 UTC (rev 290075)
@@ -1,46 +0,0 @@
-# $Id$
-# Maintainer: Allan McRae <allan at archlinux.org>
-
-# toolchain build order: linux-api-headers->glibc->binutils->gcc->binutils->glibc
-
-pkgname=linux-api-headers
-pkgver=4.10.1
-_basever=4.10
-pkgrel=1
-pkgdesc="Kernel headers sanitized for use in userspace"
-arch=('i686' 'x86_64')
-url="http://www.gnu.org/software/libc"
-license=('GPL2')
-source=(http://www.kernel.org/pub/linux/kernel/v4.x/linux-${_basever}.tar.xz
-        http://www.kernel.org/pub/linux/kernel/v4.x/linux-${_basever}.tar.sign
-        http://www.kernel.org/pub/linux/kernel/v4.x/patch-${pkgver}.xz
-        http://www.kernel.org/pub/linux/kernel/v4.x/patch-${pkgver}.sign)
-md5sums=('b5e7f6b9b2fe1b6cc7bc56a3a0bfc090'
-         'SKIP'
-         'd4ab54e17b686d1dbb1d28238fd0b081'
-         'SKIP')
-validpgpkeys=('ABAF11C65A2970B130ABE3C479BE3E4300411886'   # Linus Torvalds
-              '647F28654894E3BD457199BE38DBBDC86092693E')  # Greg Kroah-Hartman
-
-prepare() {
-  cd ${srcdir}/linux-${_basever}
-  [[ $pkgver != $_basever ]] && patch -p1 -i ${srcdir}/patch-${pkgver} || true
-}
-
-build() {
-  cd ${srcdir}/linux-${_basever}
-
-  make mrproper
-  make headers_check
-}
-
-package() {
-  cd ${srcdir}/linux-${_basever}
-  make INSTALL_HDR_PATH=${pkgdir}/usr headers_install
-
-  # use headers from libdrm
-  rm -r ${pkgdir}/usr/include/drm
-  
-  # clean-up unnecessary files generated during install
-  find ${pkgdir} \( -name .install -o -name ..install.cmd \) -delete
-}

Copied: linux-api-headers/repos/staging-i686/PKGBUILD (from rev 290074, linux-api-headers/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2017-03-07 02:30:33 UTC (rev 290075)
@@ -0,0 +1,46 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+
+# toolchain build order: linux-api-headers->glibc->binutils->gcc->binutils->glibc
+
+pkgname=linux-api-headers
+pkgver=4.10.1
+_basever=4.10
+pkgrel=1
+pkgdesc="Kernel headers sanitized for use in userspace"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/libc"
+license=('GPL2')
+source=(https://www.kernel.org/pub/linux/kernel/v4.x/linux-${_basever}.tar.xz
+        https://www.kernel.org/pub/linux/kernel/v4.x/linux-${_basever}.tar.sign
+        https://www.kernel.org/pub/linux/kernel/v4.x/patch-${pkgver}.xz
+        https://www.kernel.org/pub/linux/kernel/v4.x/patch-${pkgver}.sign)
+md5sums=('b5e7f6b9b2fe1b6cc7bc56a3a0bfc090'
+         'SKIP'
+         'd4ab54e17b686d1dbb1d28238fd0b081'
+         'SKIP')
+validpgpkeys=('ABAF11C65A2970B130ABE3C479BE3E4300411886'   # Linus Torvalds
+              '647F28654894E3BD457199BE38DBBDC86092693E')  # Greg Kroah-Hartman
+
+prepare() {
+  cd ${srcdir}/linux-${_basever}
+  [[ $pkgver != $_basever ]] && patch -p1 -i ${srcdir}/patch-${pkgver} || true
+}
+
+build() {
+  cd ${srcdir}/linux-${_basever}
+
+  make mrproper
+  make headers_check
+}
+
+package() {
+  cd ${srcdir}/linux-${_basever}
+  make INSTALL_HDR_PATH=${pkgdir}/usr headers_install
+
+  # use headers from libdrm
+  rm -r ${pkgdir}/usr/include/drm
+  
+  # clean-up unnecessary files generated during install
+  find ${pkgdir} \( -name .install -o -name ..install.cmd \) -delete
+}

Deleted: staging-x86_64/PKGBUILD
===================================================================
--- staging-x86_64/PKGBUILD	2017-03-07 02:29:24 UTC (rev 290074)
+++ staging-x86_64/PKGBUILD	2017-03-07 02:30:33 UTC (rev 290075)
@@ -1,46 +0,0 @@
-# $Id$
-# Maintainer: Allan McRae <allan at archlinux.org>
-
-# toolchain build order: linux-api-headers->glibc->binutils->gcc->binutils->glibc
-
-pkgname=linux-api-headers
-pkgver=4.10.1
-_basever=4.10
-pkgrel=1
-pkgdesc="Kernel headers sanitized for use in userspace"
-arch=('i686' 'x86_64')
-url="http://www.gnu.org/software/libc"
-license=('GPL2')
-source=(http://www.kernel.org/pub/linux/kernel/v4.x/linux-${_basever}.tar.xz
-        http://www.kernel.org/pub/linux/kernel/v4.x/linux-${_basever}.tar.sign
-        http://www.kernel.org/pub/linux/kernel/v4.x/patch-${pkgver}.xz
-        http://www.kernel.org/pub/linux/kernel/v4.x/patch-${pkgver}.sign)
-md5sums=('b5e7f6b9b2fe1b6cc7bc56a3a0bfc090'
-         'SKIP'
-         'd4ab54e17b686d1dbb1d28238fd0b081'
-         'SKIP')
-validpgpkeys=('ABAF11C65A2970B130ABE3C479BE3E4300411886'   # Linus Torvalds
-              '647F28654894E3BD457199BE38DBBDC86092693E')  # Greg Kroah-Hartman
-
-prepare() {
-  cd ${srcdir}/linux-${_basever}
-  [[ $pkgver != $_basever ]] && patch -p1 -i ${srcdir}/patch-${pkgver} || true
-}
-
-build() {
-  cd ${srcdir}/linux-${_basever}
-
-  make mrproper
-  make headers_check
-}
-
-package() {
-  cd ${srcdir}/linux-${_basever}
-  make INSTALL_HDR_PATH=${pkgdir}/usr headers_install
-
-  # use headers from libdrm
-  rm -r ${pkgdir}/usr/include/drm
-  
-  # clean-up unnecessary files generated during install
-  find ${pkgdir} \( -name .install -o -name ..install.cmd \) -delete
-}

Copied: linux-api-headers/repos/staging-x86_64/PKGBUILD (from rev 290074, linux-api-headers/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2017-03-07 02:30:33 UTC (rev 290075)
@@ -0,0 +1,46 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+
+# toolchain build order: linux-api-headers->glibc->binutils->gcc->binutils->glibc
+
+pkgname=linux-api-headers
+pkgver=4.10.1
+_basever=4.10
+pkgrel=1
+pkgdesc="Kernel headers sanitized for use in userspace"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/libc"
+license=('GPL2')
+source=(https://www.kernel.org/pub/linux/kernel/v4.x/linux-${_basever}.tar.xz
+        https://www.kernel.org/pub/linux/kernel/v4.x/linux-${_basever}.tar.sign
+        https://www.kernel.org/pub/linux/kernel/v4.x/patch-${pkgver}.xz
+        https://www.kernel.org/pub/linux/kernel/v4.x/patch-${pkgver}.sign)
+md5sums=('b5e7f6b9b2fe1b6cc7bc56a3a0bfc090'
+         'SKIP'
+         'd4ab54e17b686d1dbb1d28238fd0b081'
+         'SKIP')
+validpgpkeys=('ABAF11C65A2970B130ABE3C479BE3E4300411886'   # Linus Torvalds
+              '647F28654894E3BD457199BE38DBBDC86092693E')  # Greg Kroah-Hartman
+
+prepare() {
+  cd ${srcdir}/linux-${_basever}
+  [[ $pkgver != $_basever ]] && patch -p1 -i ${srcdir}/patch-${pkgver} || true
+}
+
+build() {
+  cd ${srcdir}/linux-${_basever}
+
+  make mrproper
+  make headers_check
+}
+
+package() {
+  cd ${srcdir}/linux-${_basever}
+  make INSTALL_HDR_PATH=${pkgdir}/usr headers_install
+
+  # use headers from libdrm
+  rm -r ${pkgdir}/usr/include/drm
+  
+  # clean-up unnecessary files generated during install
+  find ${pkgdir} \( -name .install -o -name ..install.cmd \) -delete
+}


More information about the arch-commits mailing list